{
    num: -32191,
    accuracy: 85,
    basePower: 75,
    category: "Special",
    name: "Dust Devil",
    pp: 10,
    priority: 0,
    flags: { protect: 1, mirror: 1, distance: 1, metronome: 1, wind: 1 },
    onBasePower(basePower) {
      if (this.field.isWeather(["sandstorm"])) {
        return this.chainModify(1.5);
      }
    },
    onModifyMove(move, pokemon, target) {
      switch (target?.effectiveWeather()) {
        case "sandstorm":
          move.accuracy = true;
          move.ignoreImmunity = { "Ground": true };
          break;
        case "raindance":
        case "primordialsea":
          move.accuracy = 50;
          break;
      }
    },
    secondary: {
      chance: 30,
      boosts: {
        accuracy: -1
      }
    },
    target: "any",
    type: "Ground",
    contestType: "Tough"
}